
_main:

;SoftWareUart.c,3 :: 		void main(){
;SoftWareUart.c,5 :: 		ADCON1 |= 0x0F;                          // Configure AN pins as digital I/O
	MOVLW       15
	IORWF       ADCON1+0, 1 
;SoftWareUart.c,6 :: 		CMCON  |= 7;
	MOVLW       7
	IORWF       CMCON+0, 1 
;SoftWareUart.c,8 :: 		TRISB = 0x00;                           // Set PORTB as output (error signalization)
	CLRF        TRISB+0 
;SoftWareUart.c,9 :: 		PORTB = 0;                              // No error
	CLRF        PORTB+0 
;SoftWareUart.c,11 :: 		error = Soft_UART_Init(&PORTC, 7, 6, 9600, 0); // Initialize Soft UART at 14400 bps
	MOVLW       PORTC+0
	MOVWF       FARG_Soft_UART_Init_port+0 
	MOVLW       hi_addr(PORTC+0)
	MOVWF       FARG_Soft_UART_Init_port+1 
	MOVLW       7
	MOVWF       FARG_Soft_UART_Init_rx_pin+0 
	MOVLW       6
	MOVWF       FARG_Soft_UART_Init_tx_pin+0 
	MOVLW       128
	MOVWF       FARG_Soft_UART_Init_baud_rate+0 
	MOVLW       37
	MOVWF       FARG_Soft_UART_Init_baud_rate+1 
	MOVLW       0
	MOVWF       FARG_Soft_UART_Init_baud_rate+2 
	MOVWF       FARG_Soft_UART_Init_baud_rate+3 
	CLRF        FARG_Soft_UART_Init_inverted+0 
	CALL        _Soft_UART_Init+0, 0
	MOVF        R0, 0 
	MOVWF       _error+0 
;SoftWareUart.c,12 :: 		if (error > 0) {
	MOVF        R0, 0 
	SUBLW       0
	BTFSC       STATUS+0, 0 
	GOTO        L_main0
;SoftWareUart.c,13 :: 		PORTB = error;                        // Signalize Init error
	MOVF        _error+0, 0 
	MOVWF       PORTB+0 
;SoftWareUart.c,14 :: 		while(1) ;                            // Stop program
L_main1:
	GOTO        L_main1
;SoftWareUart.c,15 :: 		}
L_main0:
;SoftWareUart.c,16 :: 		Delay_ms(1000);
	MOVLW       11
	MOVWF       R11, 0
	MOVLW       38
	MOVWF       R12, 0
	MOVLW       93
	MOVWF       R13, 0
L_main3:
	DECFSZ      R13, 1, 1
	BRA         L_main3
	DECFSZ      R12, 1, 1
	BRA         L_main3
	DECFSZ      R11, 1, 1
	BRA         L_main3
	NOP
	NOP
;SoftWareUart.c,18 :: 		for (i = 'z'; i >= 'A'; i--) {          // Send bytes from 'z' downto 'A'
	MOVLW       122
	MOVWF       _i+0 
L_main4:
	MOVLW       65
	SUBWF       _i+0, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L_main5
;SoftWareUart.c,19 :: 		Soft_UART_Write(i);
	MOVF        _i+0, 0 
	MOVWF       FARG_Soft_UART_Write_udata+0 
	CALL        _Soft_UART_Write+0, 0
;SoftWareUart.c,20 :: 		Delay_ms(1000);
	MOVLW       11
	MOVWF       R11, 0
	MOVLW       38
	MOVWF       R12, 0
	MOVLW       93
	MOVWF       R13, 0
L_main7:
	DECFSZ      R13, 1, 1
	BRA         L_main7
	DECFSZ      R12, 1, 1
	BRA         L_main7
	DECFSZ      R11, 1, 1
	BRA         L_main7
	NOP
	NOP
;SoftWareUart.c,18 :: 		for (i = 'z'; i >= 'A'; i--) {          // Send bytes from 'z' downto 'A'
	DECF        _i+0, 1 
;SoftWareUart.c,21 :: 		}
	GOTO        L_main4
L_main5:
;SoftWareUart.c,23 :: 		while(1) {                              // Endless loop
L_main8:
;SoftWareUart.c,24 :: 		byte_read = Soft_UART_Read(&error);   // Read byte, then test error flag
	MOVLW       _error+0
	MOVWF       FARG_Soft_UART_Read_error+0 
	MOVLW       hi_addr(_error+0)
	MOVWF       FARG_Soft_UART_Read_error+1 
	CALL        _Soft_UART_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _byte_read+0 
;SoftWareUart.c,25 :: 		if (error)                            // If error was detected
	MOVF        _error+0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_main10
;SoftWareUart.c,26 :: 		PORTB = error;                      //   signal it on PORTB
	MOVF        _error+0, 0 
	MOVWF       PORTB+0 
	GOTO        L_main11
L_main10:
;SoftWareUart.c,28 :: 		Soft_UART_Write(byte_read);         // If error was not detected, return byte read
	MOVF        _byte_read+0, 0 
	MOVWF       FARG_Soft_UART_Write_udata+0 
	CALL        _Soft_UART_Write+0, 0
L_main11:
;SoftWareUart.c,29 :: 		}
	GOTO        L_main8
;SoftWareUart.c,30 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
